# Uses of Class
java.awt.geom.Arc2D

Packages that use Arc2D
Package
Description
java.awt.geom
Provides the Java 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of Arc2D in java.awt.geom

Subclasses of Arc2D in java.awt.geom
Modifier and Type
Class
Description
`static class`
`Arc2D.Double`
This class defines an arc specified in `double` precision.
`static class`
`Arc2D.Float`
This class defines an arc specified in `float` precision.
Methods in java.awt.geom with parameters of type Arc2D
Modifier and Type
Method
Description
`void`
Arc2D.`setArc(Arc2D a)`
Sets this arc to be the same as the specified arc.